const int luftWert = 1023;                                                               // Ein konstantes Wert für die Luft
const int wasserWert = 355;                                                              // Ein konstantes Wert für Wasser
int FEUCHTIGKEITS_PIN = A0;                                                              // Pin für Feuchtigkeit messen
int WASSERSTAND_PIN = A1;                                                                //Pin für Wasserstands messung
  

void setup() {
  Serial.begin(9600);
  pinMode(13, OUTPUT);                                                                    // Signal bei zu geringen Wasserstand
  pinMode(2, OUTPUT);                      
}




void loop() {

  Serial.println("Start von loop()");                                                     // Kommunikation mit Processing

  if (Serial.available()) {
    char val = Serial.read();
    Serial.println(val);
    if (val == 'I') {
      Serial.println("dreht sich");
    }
  }



  float feuchtigkeit = erdeFeuchtigkeitmessen(FEUCHTIGKEITS_PIN);

  Serial.print("Die Bodenfeuchtigkeit liegt bei: ");                                      // Die Feuchtigkeit 
  Serial.print(feuchtigkeit);                                                             // in 
  Serial.println(" %");                                                                   // Protzent auf dem seriellen Monitor wiedergeben

 if (feuchtigkeit < 50) {
                                                                                          // Kamera koordiniert Armbewegen -> Bild verarbeitung
    digitalWrite(2, HIGH);                                                                // Ventil oeffnen
    delay(8000);                                                                          // fuer 8 sec
    digitalWrite(2, LOW);
  }



float wasserstand = wasserstandMessung(WASSERSTAND_PIN);

  Serial.println(wasserstand);                                                             // Der gemessene Wert im Wasserbehälter auf dem Seriellen Monitor wiedergeben.

  if (wasserstand > 900) {                                                                 // sollt  wasser Wasserstand zunidrig sein signal gebnen
    digitalWrite (13, HIGH);                                                               // licht blinken
    tone(4, 150);                                                                          // Ton ausgeben
    delay(2000);
    noTone(4);
    delay(2000);

  }

}




float erdeFeuchtigkeitmessen(int pin) {                                                      // Die Funktion Erdfeuchtigkeit messen

  int feuchtigkeitsWert = analogRead(pin);                                                   // Wert der mit dem sensor gemessen wird

  float bodenfeuchtigkeitProzent = map(feuchtigkeitsWert, luftWert, wasserWert, 0, 100);     // mit map() wird hier die Bodenfeuchtigkeit in Prozent umgerechnet.

  return bodenfeuchtigkeitProzent;                                                           // Beendung der Funktion und den Wert zurückgeben  
  
}


float wasserstandMessung(int pinx) {                                                         // Die Funktion zur Überprüfung, ob sich Wasser im Wasserbeh#älter befindet. 

  int wasserstandWert = analogRead(pinx) ;                                                   // Der gemessene Wert 

  return wasserstandWert;                                                                    // Beendung der Funktion und den Wert zurückgeben  

}
